/**
 * Netwosix Web Admin - libal
 * Copyright (C) 2006 netwosix team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you want to contact e-mail at info@netwosix.org
 */


#ifndef AL_SPWAN_H_
#define AL_SPAWN_H_


/**
 * Like the posix_spawn with stdin/stdout redirect using pipe.
 *
 * @param bin program to execute
 * @param user user
 * @param std_in data for stdin 
 * @param std_out data returned from stdout
 * @param status return status
 *
 * @return on success 0
 */
int al_spawn(const char * bin, const char * user, const char * std_in, AlString * std_out, int * status);


#endif /* AL_SPAWN_H_ */
